#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-2">
        #{include '/pl/filter-history-datafeed.html'/}
        </div>

        <div class="row">
            <div class="col-md-10">
                #{alert /}
                    <!-- Toolbar -->
                    <div class="toolbar">
                        <a href="#" class="btn btn-primary btn-md"><i class="fa fa-history"></i> History Datafeed</a>
                    </div>
                    <!-- End Toolbar -->
                <div class="panel panel-default">
                    <div class="panel-body" style="overflow-x:auto;">
                        <!-- Data Table -->
                        <table class="table table-striped" id="tblFaq">
                            <thead>
                                <tr>
                                    <th>&{'nomor.label'}</th>
                                    <th>&{'penyedia.label'}</th>
                                    <th>&{'waktu.label'}</th>
                                    <th>&{'jumlah.label'} &{'produk.label'}</th>
                                    <th>&{'baru.label'}</th>
                                    <th>&{'update'}</th>
                                    <th>&{'gagal.label'}</th>
                                    <th>&{'action'}</th>
                                </tr>
                            </thead>
                            <tbody>
                                #{set idx = (paramQuery.page - 1) * 20 /} *{nantinya angka 20 akan flexible diganti dengan param}*
                                #{list model.items, as:"i"}
                                <tr>
                                    <td class="column-left">${idx = idx + 1}</td>
                                    <td class="column-left">${i.penyedia_name}</td>
                                    <td class="column-left">${i.start_time}</td>
                                    <td class="column-left"><center>${i.total_product}</center></td>
                                    <td class="column-left"><center>${i.total_inserted}</center></td>
                                    <td class="column-left"><center>${i.total_updated}</center></td>
                                    <td class="column-left"><center>${i.total_failed}</center></td><td class="column-left"><center><button type="button" class="btn btn-block btn-primary" id="detail_datafeed" value="${i.id}"><i class="fa fa-eye"></i> Detail</button></center></td>
                                </tr>
                                #{/list}
                            </tbody>
                        </table>
                        <!-- End Data Table -->
                    </div>
                </div>
                #{pagination model.getPageAble()/}
            </div>
        </div>
    </div>
</div>

<!-- Modal informasi status produk tayang-->
<div class="modal fade" id="viewModalTayang" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">&{'persetujuan_syarat_tayang.label'}</h4>
            </div>
            <div class="modal-body">
                <div class="row" id="detail_jumlah">
                </div>
                <div class="row">
                    <h5><b>&{'keterangan.label'} : </b></h5>
                </div>
                <div class="row" id="message">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i
                        class="fa fa-close"></i> &{'batal.label'}</button>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    $("#tanggal").datepicker({
        locale: 'id',
        format: 'yyyy-mm-dd',
        autoclose: true
    });

    $("#komoditas").on("change", function () {
        getPenyedia();
    });

    function getPenyedia() {
        var komoditas = $("#komoditas").val();

        if (komoditas != "") {
            $(document).ajaxStart(function () {
                $.showLoading();
            });
            $.ajax({
                dataType: "json",
                url: "@{controllers.PublikCtr.getPenyediaDatafeed()}",
                data: {
                    komoditas_id: komoditas
                },
                success: function (result) {
                    var html = "<option value=''>Semua Penyedia</option>";
                    for (var key in result) {
                        var obj = result[key];
                        html = html + "<option value='" + obj["id"] + "'>" + obj["nama_penyedia"] + "</option>"
                    }
                    $("#penyedia").html(html);
                }
            });
            $(document).ajaxComplete(function () {
                $.hideLoading();
            });
        }
    }

    $("body").on("click", "#detail_datafeed", function (e) {
        var val = $(this).val();
        showInfoTayang(val);
        // alert($(this).val());

    });

    function showInfoTayang(id) {
        var html;
        var html_penyedia;
        var detail_jumlah;
        $.ajax({
            url: '@{PublikCtr.getDatafeedById()}',
            data: {"id": id},
            type: 'POST',
            success: function (data) {
                $("#viewModalTayang").modal();
                html = '<textarea disabled cols="50" rows="15" style="padding: 10px;line-height: 1.5;border-radius: 5px;border: 1px solid rgb(204, 204, 204);box-shadow: rgb(153, 153, 153) 1px 1px 1px;margin: 0px;width: 354px;height: 304px;">'+data.message+'</textarea>';
                html_penyedia = '<center><h4 class="modal-title" id="myModalLabel"><b>'+data.penyedia+' ('+data.start_time+') </b></h4></center>';
                detail_jumlah = '<b>&{'jumlah.label'} &{'produk.label'} : '+data.total_product+'</b> | <b>&{'baru.label'} : '+data.total_inserted+'</b> | <b>&{'update'} : '+data.total_updated+'</b> | <b>&{'gagal.label'} : '+data.total_failed+'</b>';
                $("#message").empty().append(html);
                $("#myModalLabel").empty().append(html_penyedia);
                $("#detail_jumlah").empty().append(detail_jumlah);
            }
        });
    }

</script>
#{/set}